<?php
if ( function_exists( 'acf_add_options_page' ) ):

  acf_add_options_page( array(
    'page_title' => 'Theme Options',
    'menu_title' => 'Theme Options',
    'menu_slug' => 'theme-options',
    'capability' => 'edit_posts',
    'redirect' => false
  ) );
endif;

if ( function_exists( 'acf_add_local_field_group' ) ):

  acf_add_local_field_group( array(
    'key' => 'group_5beaaf2c1a9ee',
    'title' => 'Page Options',
    'fields' => array(
      array(
        'key' => 'field_5beac6bb42359',
        'label' => 'Show Page Header',
        'name' => 'show_page_header',
        'type' => 'select',
        'instructions' => '',
        'required' => 1,
        'conditional_logic' => 0,
        'wrapper' => array(
          'width' => '',
          'class' => '',
          'id' => '',
        ),
        'choices' => array(
          'yes' => 'Yes',
          'no' => 'No',
        ),
        'default_value' => array(
          0 => 'yes',
        ),
        'allow_null' => 0,
        'multiple' => 0,
        'ui' => 0,
        'return_format' => 'value',
        'ajax' => 0,
        'placeholder' => '',
      ),
      array(
        'key' => 'field_5beaaf6af1b3b',
        'label' => 'Header Title Type',
        'name' => 'header_title_type',
        'type' => 'select',
        'instructions' => '',
        'required' => 1,
        'conditional_logic' => 0,
        'wrapper' => array(
          'width' => '',
          'class' => '',
          'id' => '',
        ),
        'choices' => array(
          'page_title' => 'Page Title',
          'custom' => 'Custom Title',
        ),
        'default_value' => array(
          0 => 'page_title',
        ),
        'allow_null' => 0,
        'multiple' => 0,
        'ui' => 0,
        'return_format' => 'value',
        'ajax' => 0,
        'placeholder' => '',
      ),
      array(
        'key' => 'field_5beaafb3f1b3c',
        'label' => 'Title',
        'name' => 'header_title',
        'type' => 'text',
        'instructions' => '',
        'required' => 1,
        'conditional_logic' => array(
          array(
            array(
              'field' => 'field_5beaaf6af1b3b',
              'operator' => '==',
              'value' => 'custom',
            ),
          ),
        ),
        'wrapper' => array(
          'width' => '',
          'class' => '',
          'id' => '',
        ),
        'default_value' => '',
        'placeholder' => '',
        'prepend' => '',
        'append' => '',
        'maxlength' => '',
      ),
      array(
        'key' => 'field_5c36e30c30407',
        'label' => 'Description',
        'name' => 'description',
        'type' => 'textarea',
        'instructions' => '',
        'required' => 0,
        'conditional_logic' => 0,
        'wrapper' => array(
          'width' => '',
          'class' => '',
          'id' => '',
        ),
        'default_value' => '',
        'placeholder' => '',
        'maxlength' => '',
        'rows' => '',
        'new_lines' => '',
      ),
      array(
        'key' => 'field_5beab032f1b40',
        'label' => 'Background Color',
        'name' => 'header_bg_color',
        'type' => 'color_picker',
        'instructions' => '',
        'required' => 1,
        'conditional_logic' => 0,
        'wrapper' => array(
          'width' => '',
          'class' => '',
          'id' => '',
        ),
        'default_value' => '#405089',
      ),
      array(
        'key' => 'field_5c7498c11f55d',
        'label' => 'Background Type',
        'name' => 'header_bg_type',
        'type' => 'select',
        'instructions' => '',
        'required' => 0,
        'conditional_logic' => 0,
        'wrapper' => array(
          'width' => '',
          'class' => '',
          'id' => '',
        ),
        'choices' => array(
          'image' => 'Image',
          'video' => 'Video',
        ),
        'default_value' => array(
          0 => 'video',
        ),
        'allow_null' => 0,
        'multiple' => 0,
        'ui' => 0,
        'return_format' => 'value',
        'ajax' => 0,
        'placeholder' => '',
      ),
      array(
        'key' => 'field_5c5e523fdd391',
        'label' => 'Background Image',
        'name' => 'header_bg_image',
        'type' => 'image',
        'instructions' => '',
        'required' => 0,
        'conditional_logic' => array(
          array(
            array(
              'field' => 'field_5c7498c11f55d',
              'operator' => '==',
              'value' => 'image',
            ),
          ),
        ),
        'wrapper' => array(
          'width' => '',
          'class' => '',
          'id' => '',
        ),
        'return_format' => 'url',
        'preview_size' => 'thumbnail',
        'library' => 'all',
        'min_width' => '',
        'min_height' => '',
        'min_size' => '',
        'max_width' => '',
        'max_height' => '',
        'max_size' => '',
        'mime_types' => '',
      ),
      array(
        'key' => 'field_5c7499111f55e',
        'label' => 'Background Video',
        'name' => 'header_bg_video',
        'type' => 'file',
        'instructions' => '',
        'required' => 0,
        'conditional_logic' => array(
          array(
            array(
              'field' => 'field_5c7498c11f55d',
              'operator' => '==',
              'value' => 'video',
            ),
          ),
        ),
        'wrapper' => array(
          'width' => '',
          'class' => '',
          'id' => '',
        ),
        'return_format' => 'url',
        'library' => 'all',
        'min_size' => '',
        'max_size' => '',
        'mime_types' => '',
      ),
      array(
        'key' => 'field_5c36e31e30408',
        'label' => 'Disable Social Icons',
        'name' => 'disable_social_icons',
        'type' => 'true_false',
        'instructions' => '',
        'required' => 0,
        'conditional_logic' => 0,
        'wrapper' => array(
          'width' => '',
          'class' => '',
          'id' => '',
        ),
        'message' => '',
        'default_value' => 0,
        'ui' => 1,
        'ui_on_text' => '',
        'ui_off_text' => '',
      ),
      array(
        'key' => 'field_5c6b84454bfc2',
        'label' => 'Disable Soundbar',
        'name' => 'disable_soundbar',
        'type' => 'true_false',
        'instructions' => 'If disabled from Theme Settings, this option will not work.',
        'required' => 0,
        'conditional_logic' => 0,
        'wrapper' => array(
          'width' => '',
          'class' => '',
          'id' => '',
        ),
        'message' => '',
        'default_value' => 0,
        'ui' => 1,
        'ui_on_text' => '',
        'ui_off_text' => '',
      ),
    ),
    'location' => array(
      array(
        array(
          'param' => 'post_type',
          'operator' => '==',
          'value' => 'page',
        ),
      ),
    ),
    'menu_order' => 0,
    'position' => 'normal',
    'style' => 'default',
    'label_placement' => 'left',
    'instruction_placement' => 'label',
    'hide_on_screen' => '',
    'active' => 1,
    'description' => '',
  ) );

acf_add_local_field_group( array(
  'key' => 'group_5be9162965797',
  'title' => 'Solution Detail',
  'fields' => array(
    array(
      'key' => 'field_5e3fcd1f77e20',
      'label' => 'Listing Title Type',
      'name' => 'listing_title_type',
      'type' => 'select',
      'instructions' => '',
      'required' => 1,
      'conditional_logic' => 0,
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'choices' => array(
        'solution_title' => 'Solution Title',
        'custom' => 'Custom Title',
      ),
      'default_value' => array(
        0 => 'custom',
      ),
      'allow_null' => 0,
      'multiple' => 0,
      'ui' => 0,
      'return_format' => 'value',
      'ajax' => 0,
      'placeholder' => '',
    ),
    array(
      'key' => 'field_5c7b813f5468f',
      'label' => 'Listing Title',
      'name' => 'listing_title',
      'type' => 'text',
      'instructions' => '',
      'required' => 1,
      'conditional_logic' => array(
        array(
          array(
            'field' => 'field_5e3fcd1f77e20',
            'operator' => '==',
            'value' => 'custom',
          ),
        ),
      ),
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'default_value' => '',
      'placeholder' => '',
      'prepend' => '',
      'append' => '',
      'maxlength' => '',
    ),
    array(
      'key' => 'field_5c5e5b80a387c',
      'label' => 'Header Title Type',
      'name' => 'header_title_type',
      'type' => 'select',
      'instructions' => '',
      'required' => 1,
      'conditional_logic' => 0,
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'choices' => array(
        'solution_title' => 'Solution Title',
        'custom' => 'Custom Title',
      ),
      'default_value' => array(
        0 => 'custom',
      ),
      'allow_null' => 0,
      'multiple' => 0,
      'ui' => 0,
      'return_format' => 'value',
      'ajax' => 0,
      'placeholder' => '',
    ),
    array(
      'key' => 'field_5c5e5ba6a387d',
      'label' => 'Title',
      'name' => 'header_title',
      'type' => 'text',
      'instructions' => '',
      'required' => 1,
      'conditional_logic' => 0,
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'default_value' => 'Works',
      'placeholder' => '',
      'prepend' => '',
      'append' => '',
      'maxlength' => '',
    ),
    array(
      'key' => 'field_5c39efd5e0a18',
      'label' => 'Description',
      'name' => 'description',
      'type' => 'textarea',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => 0,
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'default_value' => '',
      'placeholder' => '',
      'maxlength' => '',
      'rows' => '',
      'new_lines' => '',
    ),
    array(
      'key' => 'field_5c91ca2114cee',
      'label' => 'Background Type',
      'name' => 'header_bg_type',
      'type' => 'select',
      'instructions' => '',
      'required' => 1,
      'conditional_logic' => 0,
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'choices' => array(
        'image' => 'Image',
        'video' => 'Video',
      ),
      'default_value' => array(
        0 => 'video',
      ),
      'allow_null' => 0,
      'multiple' => 0,
      'ui' => 0,
      'return_format' => 'value',
      'ajax' => 0,
      'placeholder' => '',
    ),
    array(
      'key' => 'field_5c39f08d80304',
      'label' => 'Background Color',
      'name' => 'header_bg_color',
      'type' => 'color_picker',
      'instructions' => '',
      'required' => 1,
      'conditional_logic' => 0,
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'default_value' => '#405089',
    ),
    array(
      'key' => 'field_5c39f05780303',
      'label' => 'Background Image',
      'name' => 'header_bg_image',
      'type' => 'image',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => array(
        array(
          array(
            'field' => 'field_5c91ca2114cee',
            'operator' => '==',
            'value' => 'image',
          ),
        ),
      ),
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'return_format' => 'url',
      'preview_size' => 'thumbnail',
      'library' => 'all',
      'min_width' => '',
      'min_height' => '',
      'min_size' => '',
      'max_width' => '',
      'max_height' => '',
      'max_size' => '',
      'mime_types' => '',
    ),
    array(
      'key' => 'field_5c91ca5d14cef',
      'label' => 'Background Video',
      'name' => 'header_bg_video',
      'type' => 'file',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => array(
        array(
          array(
            'field' => 'field_5c91ca2114cee',
            'operator' => '==',
            'value' => 'video',
          ),
        ),
      ),
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'return_format' => 'url',
      'library' => 'all',
      'min_size' => '',
      'max_size' => '',
      'mime_types' => '',
    ),
    array(
      'key' => 'field_5c39f118a702a',
      'label' => 'Disable Social Icons',
      'name' => 'disable_social_icons',
      'type' => 'true_false',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => 0,
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'message' => '',
      'default_value' => 0,
      'ui' => 1,
      'ui_on_text' => '',
      'ui_off_text' => '',
    ),
    array(
      'key' => 'field_5c39f131a702b',
      'label' => 'Disable Soundbar',
      'name' => 'disable_soundbar',
      'type' => 'true_false',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => 0,
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'message' => '',
      'default_value' => 0,
      'ui' => 1,
      'ui_on_text' => '',
      'ui_off_text' => '',
    ),
  ),
  'location' => array(
    array(
      array(
        'param' => 'post_type',
        'operator' => '==',
        'value' => 'solution',
      ),
    ),
  ),
  'menu_order' => 0,
  'position' => 'normal',
  'style' => 'default',
  'label_placement' => 'left',
  'instruction_placement' => 'label',
  'hide_on_screen' => array(
    0 => 'excerpt',
  ),
  'active' => 1,
  'description' => '',
) );

acf_add_local_field_group( array(
  'key' => 'group_5bed6261c6234',
  'title' => 'Solution Option',
  'fields' => array(
    array(
      'key' => 'field_5c10a566df59e',
      'label' => 'Tags',
      'name' => 'tags',
      'type' => 'taxonomy',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => 0,
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'taxonomy' => 'solution_tag',
      'field_type' => 'select',
      'allow_null' => 0,
      'add_term' => 0,
      'save_terms' => 0,
      'load_terms' => 0,
      'return_format' => 'id',
      'multiple' => 0,
    ),
    array(
      'key' => 'field_5c66eb789f3ab',
      'label' => 'Animate',
      'name' => 'animate',
      'type' => 'select',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => 0,
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'choices' => array(
        'yes' => 'Yes',
        'no' => 'No',
      ),
      'default_value' => array(
        0 => 'yes',
      ),
      'allow_null' => 0,
      'multiple' => 0,
      'ui' => 1,
      'ajax' => 0,
      'return_format' => 'value',
      'placeholder' => '',
    ),
    array(
      'key' => 'field_5c66ec0901def',
      'label' => 'Animation Type',
      'name' => 'animation_type',
      'type' => 'select',
      'instructions' => '',
      'required' => 1,
      'conditional_logic' => array(
        array(
          array(
            'field' => 'field_5c66eb789f3ab',
            'operator' => '==',
            'value' => 'yes',
          ),
        ),
      ),
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'choices' => array(
        'bounce' => 'bounce',
        'flash' => 'flash',
        'pulse' => 'pulse',
        'rubberBand' => 'rubberBand',
        'shake' => 'shake',
        'headShake' => 'headShake',
        'swing' => 'swing',
        'tada' => 'tada',
        'wobble' => 'wobble',
        'jello' => 'jello',
        'bounceIn' => 'bounceIn',
        'bounceInDown' => 'bounceInDown',
        'bounceInLeft' => 'bounceInLeft',
        'bounceInRight' => 'bounceInRight',
        'bounceInUp' => 'bounceInUp',
        'bounceOut' => 'bounceOut',
        'bounceOutDown' => 'bounceOutDown',
        'bounceOutLeft' => 'bounceOutLeft',
        'bounceOutRight' => 'bounceOutRight',
        'bounceOutUp' => 'bounceOutUp',
        'fadeIn' => 'fadeIn',
        'fadeInDown' => 'fadeInDown',
        'fadeInDownBig' => 'fadeInDownBig',
        'fadeInLeft' => 'fadeInLeft',
        'fadeInLeftBig' => 'fadeInLeftBig',
        'fadeInRight' => 'fadeInRight',
        'fadeInRightBig' => 'fadeInRightBig',
        'fadeInUp' => 'fadeInUp',
        'fadeInUpBig' => 'fadeInUpBig',
        'fadeOut' => 'fadeOut',
        'fadeOutDown' => 'fadeOutDown',
        'fadeOutDownBig' => 'fadeOutDownBig',
        'fadeOutLeft' => 'fadeOutLeft',
        'fadeOutLeftBig' => 'fadeOutLeftBig',
        'fadeOutRight' => 'fadeOutRight',
        'fadeOutRightBig' => 'fadeOutRightBig',
        'fadeOutUp' => 'fadeOutUp',
        'fadeOutUpBig' => 'fadeOutUpBig',
        'flipInX' => 'flipInX',
        'flipInY' => 'flipInY',
        'flipOutX' => 'flipOutX',
        'flipOutY' => 'flipOutY',
        'lightSpeedIn' => 'lightSpeedIn',
        'lightSpeedOut' => 'lightSpeedOut',
        'rotateIn' => 'rotateIn',
        'rotateInDownLeft' => 'rotateInDownLeft',
        'rotateInDownRight' => 'rotateInDownRight',
        'rotateInUpLeft' => 'rotateInUpLeft',
        'rotateInUpRight' => 'rotateInUpRight',
        'rotateOut' => 'rotateOut',
        'rotateOutDownLeft' => 'rotateOutDownLeft',
        'rotateOutDownRight' => 'rotateOutDownRight',
        'rotateOutUpLeft' => 'rotateOutUpLeft',
        'rotateOutUpRight' => 'rotateOutUpRight',
        'hinge' => 'hinge',
        'jackInTheBox' => 'jackInTheBox',
        'rollIn' => 'rollIn',
        'rollOut' => 'rollOut',
        'zoomIn' => 'zoomIn',
        'zoomInDown' => 'zoomInDown',
        'zoomInLeft' => 'zoomInLeft',
        'zoomInRight' => 'zoomInRight',
        'zoomInUp' => 'zoomInUp',
        'zoomOut' => 'zoomOut',
        'zoomOutDown' => 'zoomOutDown',
        'zoomOutLeft' => 'zoomOutLeft',
        'zoomOutRight' => 'zoomOutRight',
        'zoomOutUp' => 'zoomOutUp',
        'slideInDown' => 'slideInDown',
        'slideInLeft' => 'slideInLeft',
        'slideInRight' => 'slideInRight',
        'slideInUp' => 'slideInUp',
        'slideOutDown' => 'slideOutDown',
        'slideOutLeft' => 'slideOutLeft',
        'slideOutRight' => 'slideOutRight',
        'slideOutUp' => 'slideOutUp',
        'heartBeat' => 'heartBeat',
      ),
      'default_value' => array(
        0 => 'fadeIn',
      ),
      'allow_null' => 0,
      'multiple' => 0,
      'ui' => 1,
      'ajax' => 0,
      'return_format' => 'value',
      'placeholder' => '',
    ),
  ),
  'location' => array(
    array(
      array(
        'param' => 'page_template',
        'operator' => '==',
        'value' => 'page-solution.php',
      ),
    ),
  ),
  'menu_order' => 0,
  'position' => 'normal',
  'style' => 'default',
  'label_placement' => 'left',
  'instruction_placement' => 'label',
  'hide_on_screen' => '',
  'active' => 1,
  'description' => '',
) );

acf_add_local_field_group( array(
  'key' => 'group_5be24726b4838',
  'title' => 'Slider Detail',
  'fields' => array(
    array(
      'key' => 'field_5be2483e838dd',
      'label' => 'Type',
      'name' => 'type',
      'type' => 'select',
      'instructions' => '',
      'required' => 1,
      'conditional_logic' => 0,
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'choices' => array(
        'swiper' => 'Swiper Slider',
        'video' => 'Video',
      ),
      'default_value' => array(
        0 => 'swiper',
      ),
      'allow_null' => 0,
      'multiple' => 0,
      'ui' => 1,
      'ajax' => 0,
      'return_format' => 'value',
      'placeholder' => '',
    ),
    array(
      'key' => 'field_5c9ddc45ebc8c',
      'label' => 'Background Video',
      'name' => 'background_video',
      'type' => 'file',
      'instructions' => '',
      'required' => 1,
      'conditional_logic' => array(
        array(
          array(
            'field' => 'field_5be2483e838dd',
            'operator' => '==',
            'value' => 'video',
          ),
        ),
      ),
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'return_format' => 'url',
      'library' => 'all',
      'min_size' => '',
      'max_size' => '',
      'mime_types' => '',
    ),
    array(
      'key' => 'field_5c9de10d10545',
      'label' => 'Tagline',
      'name' => 'video_bg_tagline',
      'type' => 'text',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => array(
        array(
          array(
            'field' => 'field_5be2483e838dd',
            'operator' => '==',
            'value' => 'video',
          ),
        ),
      ),
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'default_value' => '',
      'placeholder' => '',
      'prepend' => '',
      'append' => '',
      'maxlength' => '',
    ),
    array(
      'key' => 'field_5c9de11f10546',
      'label' => 'Title',
      'name' => 'video_bg_title',
      'type' => 'text',
      'instructions' => '',
      'required' => 1,
      'conditional_logic' => array(
        array(
          array(
            'field' => 'field_5be2483e838dd',
            'operator' => '==',
            'value' => 'video',
          ),
        ),
      ),
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'default_value' => '',
      'placeholder' => '',
      'prepend' => '',
      'append' => '',
      'maxlength' => '',
    ),
    array(
      'key' => 'field_5c9de14c10547',
      'label' => 'Description',
      'name' => 'video_bg_title_with_effect',
      'type' => 'textarea',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => array(
        array(
          array(
            'field' => 'field_5be2483e838dd',
            'operator' => '==',
            'value' => 'video',
          ),
        ),
      ),
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'default_value' => '',
      'placeholder' => '',
      'prepend' => '',
      'append' => '',
      'maxlength' => '',
    ),
    array(
      'key' => 'field_5c9de16f10549',
      'label' => 'Button Label',
      'name' => 'video_bg_button_label',
      'type' => 'text',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => array(
        array(
          array(
            'field' => 'field_5be2483e838dd',
            'operator' => '==',
            'value' => 'video',
          ),
        ),
      ),
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'default_value' => '',
      'placeholder' => '',
      'prepend' => '',
      'append' => '',
      'maxlength' => '',
    ),
    array(
      'key' => 'field_5c9de17a1054a',
      'label' => 'Button Link',
      'name' => 'video_bg_button_link',
      'type' => 'text',
      'instructions' => '',
      'required' => 1,
      'conditional_logic' => array(
        array(
          array(
            'field' => 'field_5be2483e838dd',
            'operator' => '==',
            'value' => 'video',
          ),
          array(
            'field' => 'field_5c9de16f10549',
            'operator' => '!=empty',
          ),
        ),
      ),
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'default_value' => '',
      'placeholder' => '',
      'prepend' => '',
      'append' => '',
      'maxlength' => '',
    ),
    array(
      'key' => 'field_5bfcdc405e5f4',
      'label' => 'Transition Speed',
      'name' => 'transition_speed',
      'type' => 'text',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => array(
        array(
          array(
            'field' => 'field_5be2483e838dd',
            'operator' => '==',
            'value' => 'swiper',
          ),
        ),
      ),
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'default_value' => 600,
      'placeholder' => '',
      'prepend' => '',
      'append' => '',
      'maxlength' => '',
    ),
    array(
      'key' => 'field_5bfcdc615e5f5',
      'label' => 'Auto Play Delay',
      'name' => 'auto_play_delay',
      'type' => 'text',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => array(
        array(
          array(
            'field' => 'field_5be2483e838dd',
            'operator' => '==',
            'value' => 'swiper',
          ),
        ),
      ),
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'default_value' => 4500,
      'placeholder' => '',
      'prepend' => '',
      'append' => '',
      'maxlength' => '',
    ),
    array(
      'key' => 'field_5bfd58e4c5089',
      'label' => 'Disable Loop',
      'name' => 'disable_loop',
      'type' => 'true_false',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => array(
        array(
          array(
            'field' => 'field_5be2483e838dd',
            'operator' => '==',
            'value' => 'swiper',
          ),
        ),
      ),
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'message' => '',
      'default_value' => 0,
      'ui' => 1,
      'ui_on_text' => '',
      'ui_off_text' => '',
    ),
    array(
      'key' => 'field_5bfd5900c508a',
      'label' => 'Disable Page Number',
      'name' => 'disable_page_number',
      'type' => 'true_false',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => array(
        array(
          array(
            'field' => 'field_5be2483e838dd',
            'operator' => '==',
            'value' => 'swiper',
          ),
        ),
      ),
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'message' => '',
      'default_value' => 0,
      'ui' => 1,
      'ui_on_text' => '',
      'ui_off_text' => '',
    ),
    array(
      'key' => 'field_5bfd590bc508b',
      'label' => 'Disable Navigation',
      'name' => 'disable_navigation',
      'type' => 'true_false',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => array(
        array(
          array(
            'field' => 'field_5be2483e838dd',
            'operator' => '==',
            'value' => 'swiper',
          ),
        ),
      ),
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'message' => '',
      'default_value' => 0,
      'ui' => 1,
      'ui_on_text' => '',
      'ui_off_text' => '',
    ),
    array(
      'key' => 'field_5e3fef93d7de6',
      'label' => 'Navigation Previous Label',
      'name' => 'navigation_previous_label',
      'type' => 'text',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => array(
        array(
          array(
            'field' => 'field_5be2483e838dd',
            'operator' => '==',
            'value' => 'swiper',
          ),
          array(
            'field' => 'field_5bfd590bc508b',
            'operator' => '!=',
            'value' => '1',
          ),
        ),
      ),
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'default_value' => 'PREV',
      'placeholder' => '',
      'prepend' => '',
      'append' => '',
      'maxlength' => '',
    ),
    array(
      'key' => 'field_5e3fefbbd7de8',
      'label' => 'Navigation Next Label',
      'name' => 'navigation_next_label',
      'type' => 'text',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => array(
        array(
          array(
            'field' => 'field_5be2483e838dd',
            'operator' => '==',
            'value' => 'swiper',
          ),
          array(
            'field' => 'field_5bfd590bc508b',
            'operator' => '!=',
            'value' => '1',
          ),
        ),
      ),
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'default_value' => 'NEXT',
      'placeholder' => '',
      'prepend' => '',
      'append' => '',
      'maxlength' => '',
    ),
    array(
      'key' => 'field_5c3e0dae19597',
      'label' => 'Disable Social Icon',
      'name' => 'disable_social_icon',
      'type' => 'true_false',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => 0,
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'message' => '',
      'default_value' => 0,
      'ui' => 1,
      'ui_on_text' => '',
      'ui_off_text' => '',
    ),
    array(
      'key' => 'field_5be2499acf4d6',
      'label' => 'Slider',
      'name' => 'slider',
      'type' => 'repeater',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => array(
        array(
          array(
            'field' => 'field_5be2483e838dd',
            'operator' => '==',
            'value' => 'swiper',
          ),
        ),
      ),
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'collapsed' => 'field_5be249c8cf4d8',
      'min' => 1,
      'max' => 0,
      'layout' => 'row',
      'button_label' => 'Add Slides',
      'sub_fields' => array(
        array(
          'key' => 'field_5be24bf235015',
          'label' => 'Background Image',
          'name' => 'background_image',
          'type' => 'image',
          'instructions' => '',
          'required' => 1,
          'conditional_logic' => 0,
          'wrapper' => array(
            'width' => '',
            'class' => '',
            'id' => '',
          ),
          'return_format' => 'url',
          'preview_size' => 'thumbnail',
          'library' => 'all',
          'min_width' => '',
          'min_height' => '',
          'min_size' => '',
          'max_width' => '',
          'max_height' => '',
          'max_size' => '',
          'mime_types' => '',
        ),
        array(
          'key' => 'field_5be249c8cf4d6',
          'label' => 'Slider Data Text',
          'name' => 'data_text',
          'type' => 'text',
          'required' => 0,
          'conditional_logic' => 0,
          'wrapper' => array(
            'width' => '',
            'class' => '',
            'id' => '',
          ),
          'default_value' => '',
          'placeholder' => '',
          'prepend' => '',
          'append' => '',
          'maxlength' => '',
        ),
        array(
          'key' => 'field_5be249c8cf4d9',
          'label' => 'Tagline',
          'name' => 'tagline',
          'type' => 'text',
          'instructions' => 'The html tags can be used here.',
          'required' => 0,
          'conditional_logic' => 0,
          'wrapper' => array(
            'width' => '',
            'class' => '',
            'id' => '',
          ),
          'default_value' => '',
          'placeholder' => '',
          'prepend' => '',
          'append' => '',
          'maxlength' => '',
        ),
        array(
          'key' => 'field_5be249c8cf4d8',
          'label' => 'Title',
          'name' => 'title',
          'type' => 'text',
          'instructions' => 'The html tags can be used here.',
          'required' => 1,
          'conditional_logic' => 0,
          'wrapper' => array(
            'width' => '',
            'class' => '',
            'id' => '',
          ),
          'default_value' => '',
          'placeholder' => '',
          'prepend' => '',
          'append' => '',
          'maxlength' => '',
        ),
        array(
          'key' => 'field_5be249c8cf4d7',
          'label' => 'Description',
          'name' => 'description',
          'type' => 'textarea',
          'required' => 0,
          'conditional_logic' => 0,
          'wrapper' => array(
            'width' => '',
            'class' => '',
            'id' => '',
          ),
          'default_value' => '',
          'placeholder' => '',
          'prepend' => '',
          'append' => '',
          'maxlength' => '',
        ),
        array(
          'key' => 'field_5be249c0cf4d7',
          'label' => 'Button Link',
          'name' => 'button_link',
          'type' => 'text',
          'instructions' => '',
          'required' => 0,
          'conditional_logic' => 0,
          'wrapper' => array(
            'width' => '',
            'class' => '',
            'id' => '',
          ),
          'default_value' => '',
          'placeholder' => '',
          'prepend' => '',
          'append' => '',
          'maxlength' => '',
        ),
        array(
          'key' => 'field_5be249e8cf4da',
          'label' => 'Button Label',
          'name' => 'button_label',
          'type' => 'text',
          'instructions' => '',
          'required' => 1,
          'conditional_logic' => array(
            array(
              array(
                'field' => 'field_5be24a1ecf4db',
                'operator' => '!=empty',
              ),
            ),
          ),
          'wrapper' => array(
            'width' => '',
            'class' => '',
            'id' => '',
          ),
          'default_value' => '',
          'placeholder' => '',
          'prepend' => '',
          'append' => '',
          'maxlength' => '',
        ),

      ),
    ),
  ),
  'location' => array(
    array(
      array(
        'param' => 'post_type',
        'operator' => '==',
        'value' => 'hero',
      ),
    ),
  ),
  'menu_order' => 0,
  'position' => 'acf_after_title',
  'style' => 'default',
  'label_placement' => 'left',
  'instruction_placement' => 'field',
  'hide_on_screen' => '',
  'active' => 1,
  'description' => '',
) );

acf_add_local_field_group( array(
  'key' => 'group_5beaefcfd5246',
  'title' => 'Team Member Detail',
  'fields' => array(
    array(
      'key' => 'field_5beaefe290b99',
      'label' => 'Designation',
      'name' => 'designation',
      'type' => 'text',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => 0,
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'default_value' => '',
      'placeholder' => '',
      'prepend' => '',
      'append' => '',
      'maxlength' => '',
    ),
    array(
      'key' => 'field_5e3ff486e00bb',
      'label' => 'Social Links',
      'name' => 'social_links',
      'type' => 'repeater',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => 0,
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'collapsed' => 'field_5e3ff496e00bc',
      'min' => 0,
      'max' => 0,
      'layout' => 'row',
      'button_label' => '',
      'sub_fields' => array(
        array(
          'key' => 'field_5e3ff496e00bc',
          'label' => 'Title',
          'name' => 'title',
          'type' => 'text',
          'instructions' => '',
          'required' => 1,
          'conditional_logic' => 0,
          'wrapper' => array(
            'width' => '',
            'class' => '',
            'id' => '',
          ),
          'default_value' => '',
          'placeholder' => '',
          'prepend' => '',
          'append' => '',
          'maxlength' => '',
        ),
        array(
          'key' => 'field_5e3ff4a0e00bd',
          'label' => 'Link',
          'name' => 'link',
          'type' => 'url',
          'instructions' => '',
          'required' => 1,
          'conditional_logic' => 0,
          'wrapper' => array(
            'width' => '',
            'class' => '',
            'id' => '',
          ),
          'default_value' => '',
          'placeholder' => '',
        ),
      ),
    ),
  ),
  'location' => array(
    array(
      array(
        'param' => 'post_type',
        'operator' => '==',
        'value' => 'team',
      ),
    ),
  ),
  'menu_order' => 0,
  'position' => 'normal',
  'style' => 'default',
  'label_placement' => 'left',
  'instruction_placement' => 'label',
  'hide_on_screen' => '',
  'active' => 1,
  'description' => '',
) );

acf_add_local_field_group( array(
  'key' => 'group_5bd83b853484d',
  'title' => 'Theme Options',
  'fields' => array(
    array(
      'key' => 'field_5bdab1788e916',
      'label' => 'General',
      'name' => '',
      'type' => 'tab',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => 0,
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'placement' => 'top',
      'endpoint' => 0,
    ),
    array(
      'key' => 'field_5e3e2abd042c5',
      'label' => 'Enable Go Top Button',
      'name' => 'enable_go_top',
      'type' => 'true_false',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => 0,
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'message' => '',
      'default_value' => 1,
      'ui' => 1,
      'ui_on_text' => '',
      'ui_off_text' => '',
    ),
    array(
      'key' => 'field_5bdac27359ef5',
      'label' => 'Enable Breadcrumb',
      'name' => 'breadcrumb',
      'type' => 'true_false',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => 0,
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'message' => '',
      'default_value' => 1,
      'ui' => 1,
      'ui_on_text' => '',
      'ui_off_text' => '',
    ),
    array(
      'key' => 'field_5bdac27359eb7',
      'label' => 'Enable Page Print',
      'name' => 'page_print',
      'type' => 'true_false',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => 0,
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'message' => '',
      'default_value' => 1,
      'ui' => 1,
      'ui_on_text' => '',
      'ui_off_text' => '',
    ),
	  array(
      'key' => 'field_5c181fb3ef83a',
      'label' => 'Print Text',
      'name' => 'print_text',
      'type' => 'text',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => array(
        array(
          array(
            'field' => 'field_5bdac27359eb7',
            'operator' => '==',
            'value' => '1',
          ),
        ),
      ),
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'default_value' => 'PRINT PAGE',
      'placeholder' => '',
      'prepend' => '',
      'append' => '',
      'maxlength' => '',
    ),
	  array(
      'key' => 'field_5bdac28b59aq8',
      'label' => 'Print Icon',
      'name' => 'print_icon',
      'type' => 'image',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => array(
        array(
          array(
            'field' => 'field_5bdac27359eb7',
            'operator' => '==',
            'value' => '1',
          ),
        ),
      ),
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'return_format' => 'url',
      'preview_size' => 'thumbnail',
      'library' => 'all',
      'min_width' => '',
      'min_height' => '',
      'min_size' => '',
      'max_width' => '',
      'max_height' => '',
      'max_size' => '',
      'mime_types' => '',
    ),
    array(
      'key' => 'field_5bdac27359eb8',
      'label' => 'Enable Topbar',
      'name' => 'enable_topbar',
      'type' => 'true_false',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => 0,
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'message' => '',
      'default_value' => 1,
      'ui' => 1,
      'ui_on_text' => '',
      'ui_off_text' => '',
    ),
    array(
      'key' => 'field_5c181fb3ef91e',
      'label' => 'Topbar Text',
      'name' => 'topbar_text',
      'type' => 'text',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => array(
        array(
          array(
            'field' => 'field_5bdac27359eb8',
            'operator' => '==',
            'value' => '1',
          ),
        ),
      ),
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'default_value' => 'Although : no-one wants to be knocked back or told their <u>idea is unworkable</u>',
      'placeholder' => '',
      'prepend' => '',
      'append' => '',
      'maxlength' => '',
    ),


    array(
      'key' => 'field_5bdac28b59eb9',
      'label' => 'Contact Icon',
      'name' => 'contact_icon',
      'type' => 'image',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => array(
        array(
          array(
            'field' => 'field_5bdac27359eb8',
            'operator' => '==',
            'value' => '1',
          ),
        ),
      ),
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'return_format' => 'url',
      'preview_size' => 'thumbnail',
      'library' => 'all',
      'min_width' => '',
      'min_height' => '',
      'min_size' => '',
      'max_width' => '',
      'max_height' => '',
      'max_size' => '',
      'mime_types' => '',
    ),
    array(
      'key' => 'field_5c181fb3ef92e',
      'label' => 'Contact Text',
      'name' => 'contact_text',
      'type' => 'text',
      'instructions' => '',
      'required' => 1,
      'conditional_logic' => array(
        array(
          array(
            'field' => 'field_5bdac27359eb8',
            'operator' => '==',
            'value' => '1',
          ),
        ),
      ),
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'default_value' => '<b>UA</b> +38 062 431 8086',
      'placeholder' => '',
      'prepend' => '',
      'append' => '',
      'maxlength' => '',
    ),


    array(
      'key' => 'field_5bdabeda76850',
      'label' => 'Social Media',
      'name' => 'social_media',
      'type' => 'repeater',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => array(
        array(
          array(
            'field' => 'field_5bdac27359eb8',
            'operator' => '==',
            'value' => '1',
          ),
        ),
      ),
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'collapsed' => 'field_5bdabf41a6224',
      'min' => 0,
      'max' => 0,
      'layout' => 'row',
      'button_label' => 'Add',
      'sub_fields' => array(

        array(
          'key' => 'field_5bdabf41a6224',
          'label' => 'Social Icon',
          'name' => 'social_icon',
          'type' => 'select',
          'instructions' => '',
          'required' => 1,
          'conditional_logic' => 0,
          'wrapper' => array(
            'width' => '',
            'class' => '',
            'id' => '',
          ),
          'choices' => array(
            '<i class="fa fa-facebook"></i>' => 'Facebook',
            '<i class="fa fa-twitter"></i>' => 'Twitter',
            '<i class="fa fa-linkedin"></i>' => 'Linkedin',
            '<i class="fa fa-instagram"></i>' => 'Instagram',
            '<i class="fa fa-youtube-play"></i>' => 'Youtube',
          ),
          'default_value' => array(
            0 => 'yes',
          ),
          'allow_null' => 0,
          'multiple' => 0,
          'ui' => 0,
          'return_format' => 'value',
          'ajax' => 0,
          'placeholder' => '',
        ),
        array(
          'key' => 'field_5bdabef576852',
          'label' => 'Url',
          'name' => 'url',
          'type' => 'text',
          'instructions' => '',
          'required' => 1,
          'conditional_logic' => 0,
          'wrapper' => array(
            'width' => '',
            'class' => '',
            'id' => '',
          ),
          'default_value' => '#',
          'placeholder' => '',
          'prepend' => '',
          'append' => '',
          'maxlength' => '',
        ),
      ),
    ),


    array(
      'key' => 'field_5bfcacef6cccb',
      'label' => 'Color Options',
      'name' => '',
      'type' => 'tab',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => 0,
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'placement' => 'top',
      'endpoint' => 0,
    ),
    array(
      'key' => 'field_5bfcad471bf34',
      'label' => 'Enable Dynamic Color',
      'name' => 'enable_dynamic_color',
      'type' => 'true_false',
      'instructions' => 'Enable this option to use the color option below.',
      'required' => 0,
      'conditional_logic' => 0,
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'message' => '',
      'default_value' => 0,
      'ui' => 1,
      'ui_on_text' => '',
      'ui_off_text' => '',
    ),
	  
	  array(
      'key' => 'field_5bfcac8b6ach5',
      'label' => 'Body Color',
      'name' => 'body_color',
      'type' => 'color_picker',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => 0,
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'default_value' => '#9aa0ae',
    ),
	  
	  
    array(
      'key' => 'field_5bfcab6b6ccc7',
      'label' => 'Theme Color 1',
      'name' => 'theme_color1',
      'type' => 'color_picker',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => 0,
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'default_value' => '#f65935',
    ),
	  
	  
    array(
      'key' => 'field_5bfcac8b6ccc9',
      'label' => 'Theme Color 2',
      'name' => 'theme_color2',
      'type' => 'color_picker',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => 0,
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'default_value' => '#405089',
    ),
	  
	  
	  array(
      'key' => 'field_5bfcac8b6cqc1',
      'label' => 'Theme Color 3',
      'name' => 'theme_color3',
      'type' => 'color_picker',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => 0,
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'default_value' => '#262d57',
    ),
	  
	  
	  
	  
	  
    array(
      'key' => 'field_5bd83ba82c94c',
      'label' => 'Header',
      'name' => '',
      'type' => 'tab',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => 0,
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'placement' => 'top',
      'endpoint' => 0,
    ),
    array(
      'key' => 'field_5bd83c8caa3c6',
      'label' => 'Logo',
      'name' => 'logo',
      'type' => 'image',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => 0,
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'return_format' => 'url',
      'preview_size' => 'thumbnail',
      'library' => 'all',
      'min_width' => '',
      'min_height' => '',
      'min_size' => '',
      'max_width' => '',
      'max_height' => '',
      'max_size' => '',
      'mime_types' => '',
    ),
    array(
      'key' => 'field_5e44137a7ff50',
      'label' => 'Retina Logo',
      'name' => 'retina_logo',
      'type' => 'image',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => 0,
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'return_format' => 'url',
      'preview_size' => 'thumbnail',
      'library' => 'all',
      'min_width' => '',
      'min_height' => '',
      'min_size' => '',
      'max_width' => '',
      'max_height' => '',
      'max_size' => '',
      'mime_types' => '',
    ),
    array(
      'key' => 'field_5da55b43dbe70',
      'label' => 'Logo Height',
      'name' => 'logo_height',
      'type' => 'text',
      'instructions' => 'Logo height in <code>px</code>',
      'required' => 0,
      'conditional_logic' => 0,
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'default_value' => '',
      'placeholder' => '',
      'prepend' => '',
      'append' => '',
      'maxlength' => '',
    ),

    array(
      'key' => 'field_5bdac27359aq3',
      'label' => 'Enable Custom Menu',
      'name' => 'enable_custom_menu',
      'type' => 'true_false',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => 0,
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'message' => '',
      'default_value' => '1',
      'ui' => 1,
      'ui_on_text' => '',
      'ui_off_text' => '',
    ),


    array(
      'key' => 'field_5bdabeda76812',
      'label' => 'Custom Menu',
      'name' => 'custom_menu',
      'type' => 'repeater',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => array(
        array(
          array(
            'field' => 'field_5bdac27359aq3',
            'operator' => '==',
			  'value' => '1',
          ),
        ),
      ),
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'collapsed' => 'field_5bdabf41a6224',
      'min' => 0,
      'max' => 0,
      'layout' => 'row',
      'button_label' => 'Add',
      'sub_fields' => array(

        array(
          'key' => 'field_5bdabf41a8734',
          'label' => 'Menu',
          'name' => 'menu',
          'type' => 'text',
          'instructions' => '',
          'required' => 0,
          'conditional_logic' => 0,
          'wrapper' => array(
            'width' => '',
            'class' => '',
            'id' => '',
          ),

          'default_value' => '',
          'allow_null' => 0,
          'multiple' => 0,
          'ui' => 0,
          'return_format' => 'value',
          'ajax' => 0,
          'placeholder' => '',
        ),
        array(
          'key' => 'field_5bdabef576814',
          'label' => 'Url',
          'name' => 'url',
          'type' => 'text',
          'instructions' => '',
          'required' => 0,
          'conditional_logic' => 0,
          'wrapper' => array(
            'width' => '',
            'class' => '',
            'id' => '',
          ),
          'default_value' => '#',
          'placeholder' => '',
          'prepend' => '',
          'append' => '',
          'maxlength' => '',
        ),
      ),
    ),
	  array(
      'key' => 'field_5bdac27359po3',
      'label' => 'Enable Search',
      'name' => 'enable_search',
      'type' => 'true_false',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => 0,
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'message' => '',
      'default_value' => '1',
      'ui' => 1,
      'ui_on_text' => '',
      'ui_off_text' => '',
    ),
array(
      'key' => 'field_5bdac27359lk9',
      'label' => 'Enable Sandwich Menu',
      'name' => 'enable_sandwich_menu',
      'type' => 'true_false',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => 0,
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'message' => '',
      'default_value' => '1',
      'ui' => 1,
      'ui_on_text' => '',
      'ui_off_text' => '',
    ),

    array(
      'key' => 'field_5bec47c30e8ff',
      'label' => 'Archive',
      'name' => '',
      'type' => 'tab',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => 0,
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'placement' => 'top',
      'endpoint' => 0,
    ),
    array(
      'key' => 'field_5bf1461484d64',
      'label' => 'Blog Title',
      'name' => 'archive_blog_title',
      'type' => 'text',
      'instructions' => '',
      'required' => 1,
      'conditional_logic' => 0,
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'default_value' => 'NEWS',
      'placeholder' => '',
      'prepend' => '',
      'append' => '',
      'maxlength' => '',
    ),
    array(
      'key' => 'field_5c5b1aac822dc',
      'label' => 'Blog Description',
      'name' => 'archive_blog_description',
      'type' => 'textarea',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => 0,
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'default_value' => '',
      'placeholder' => '',
      'maxlength' => '',
      'rows' => '',
      'new_lines' => '',
    ),
    array(
      'key' => 'field_5bec47ff0e901',
      'label' => 'Background Color',
      'name' => 'archive_header_bg_color',
      'type' => 'color_picker',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => 0,
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'default_value' => '#405089',
    ),
    array(
      'key' => 'field_5c76159839abf',
      'label' => 'Background Type',
      'name' => 'archive_header_bg_type',
      'type' => 'select',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => 0,
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'choices' => array(
        'image' => 'Image',
        'video' => 'Video',
      ),
      'default_value' => array(),
      'allow_null' => 0,
      'multiple' => 0,
      'ui' => 0,
      'return_format' => 'value',
      'ajax' => 0,
      'placeholder' => '',
    ),
    array(
      'key' => 'field_5c5b1a8b822db',
      'label' => 'Background Image',
      'name' => 'archive_header_bg_image',
      'type' => 'image',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => array(
        array(
          array(
            'field' => 'field_5c76159839abf',
            'operator' => '==',
            'value' => 'image',
          ),
        ),
      ),
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'return_format' => 'url',
      'preview_size' => 'thumbnail',
      'library' => 'all',
      'min_width' => '',
      'min_height' => '',
      'min_size' => '',
      'max_width' => '',
      'max_height' => '',
      'max_size' => '',
      'mime_types' => '',
    ),
    array(
      'key' => 'field_5c76161639ac0',
      'label' => 'Background Video',
      'name' => 'archive_header_bg_video',
      'type' => 'file',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => array(
        array(
          array(
            'field' => 'field_5c76159839abf',
            'operator' => '==',
            'value' => 'video',
          ),
        ),
      ),
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'return_format' => 'url',
      'library' => 'all',
      'min_size' => '',
      'max_size' => '',
      'mime_types' => '',
    ),
    array(
      'key' => 'field_5bf530cc616ef',
      'label' => 'Show Sidebar',
      'name' => 'archive_show_sidebar',
      'type' => 'select',
      'instructions' => '',
      'required' => 1,
      'conditional_logic' => 0,
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'choices' => array(
        'yes' => 'Yes',
        'no' => 'No',
      ),
      'default_value' => array(
        0 => 'yes',
      ),
      'allow_null' => 0,
      'multiple' => 0,
      'ui' => 0,
      'return_format' => 'value',
      'ajax' => 0,
      'placeholder' => '',
    ),
    array(
      'key' => 'field_5bf531aadea0b',
      'label' => 'Strip Content',
      'name' => 'archive_strip_content',
      'type' => 'select',
      'instructions' => '',
      'required' => 1,
      'conditional_logic' => 0,
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'choices' => array(
        'yes' => 'Yes',
        'no' => 'No',
      ),
      'default_value' => array(
        0 => 'no',
      ),
      'allow_null' => 0,
      'multiple' => 0,
      'ui' => 0,
      'return_format' => 'value',
      'ajax' => 0,
      'placeholder' => '',
    ),
    array(
      'key' => 'field_5bf3b83f1fd03',
      'label' => 'Page 404',
      'name' => '',
      'type' => 'tab',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => 0,
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'placement' => 'top',
      'endpoint' => 0,
    ),
    array(
      'key' => 'field_5bf3b8671fd05',
      'label' => 'Background Color',
      'name' => 'page_404_header_bg_color',
      'type' => 'color_picker',
      'instructions' => '',
      'required' => 1,
      'conditional_logic' => 0,
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'default_value' => '#405089',
    ),
    array(
      'key' => 'field_5c76215ced130',
      'label' => 'Background Type',
      'name' => 'page_404_header_bg_type',
      'type' => 'select',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => 0,
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'choices' => array(
        'image' => 'Image',
        'video' => 'Video',
      ),
      'default_value' => array(),
      'allow_null' => 0,
      'multiple' => 0,
      'ui' => 0,
      'return_format' => 'value',
      'ajax' => 0,
      'placeholder' => '',
    ),
    array(
      'key' => 'field_5c6b86db8e413',
      'label' => 'Background Image',
      'name' => 'page_404_header_bg_image',
      'type' => 'image',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => array(
        array(
          array(
            'field' => 'field_5c76215ced130',
            'operator' => '==',
            'value' => 'image',
          ),
        ),
      ),
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'return_format' => 'url',
      'preview_size' => 'thumbnail',
      'library' => 'all',
      'min_width' => '',
      'min_height' => '',
      'min_size' => '',
      'max_width' => '',
      'max_height' => '',
      'max_size' => '',
      'mime_types' => '',
    ),
    array(
      'key' => 'field_5c76219fed131',
      'label' => 'Background Video',
      'name' => 'page_404_header_bg_video',
      'type' => 'file',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => array(
        array(
          array(
            'field' => 'field_5c76215ced130',
            'operator' => '==',
            'value' => 'video',
          ),
        ),
      ),
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'return_format' => 'url',
      'library' => 'all',
      'min_size' => '',
      'max_size' => '',
      'mime_types' => '',
    ),
    array(
      'key' => 'field_5bf3ba0a531c5',
      'label' => 'Search',
      'name' => '',
      'type' => 'tab',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => 0,
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'placement' => 'top',
      'endpoint' => 0,
    ),
    array(
      'key' => 'field_5bf3ba22531c8',
      'label' => 'Background Color',
      'name' => 'search_header_bg_color',
      'type' => 'color_picker',
      'instructions' => '',
      'required' => 1,
      'conditional_logic' => 0,
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'default_value' => '#405089',
    ),
    array(
      'key' => 'field_5c777bf1c215e',
      'label' => 'Background Type',
      'name' => 'search_header_bg',
      'type' => 'select',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => 0,
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'choices' => array(
        'image' => 'Image',
        'video' => 'Video',
      ),
      'default_value' => array(),
      'allow_null' => 0,
      'multiple' => 0,
      'ui' => 0,
      'return_format' => 'value',
      'ajax' => 0,
      'placeholder' => '',
    ),
    array(
      'key' => 'field_5c6b87568e414',
      'label' => 'Background Image',
      'name' => 'search_header_bg_image',
      'type' => 'image',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => array(
        array(
          array(
            'field' => 'field_5c777bf1c215e',
            'operator' => '==',
            'value' => 'image',
          ),
        ),
      ),
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'return_format' => 'url',
      'preview_size' => 'thumbnail',
      'library' => 'all',
      'min_width' => '',
      'min_height' => '',
      'min_size' => '',
      'max_width' => '',
      'max_height' => '',
      'max_size' => '',
      'mime_types' => '',
    ),
    array(
      'key' => 'field_5c777c1fc215f',
      'label' => 'Background Video',
      'name' => 'search_header_bg_video',
      'type' => 'file',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => array(
        array(
          array(
            'field' => 'field_5c777bf1c215e',
            'operator' => '==',
            'value' => 'video',
          ),
        ),
      ),
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'return_format' => 'url',
      'library' => 'all',
      'min_size' => '',
      'max_size' => '',
      'mime_types' => '',
    ),
    array(
      'key' => 'field_5bf0e6e3dbc67',
      'label' => 'Footer',
      'name' => '',
      'type' => 'tab',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => 0,
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'placement' => 'top',
      'endpoint' => 0,
    ),
    array(
      'key' => 'field_5e3e82f24262c',
      'label' => 'Background Color',
      'name' => 'footer_bg_color',
      'type' => 'color_picker',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => 0,
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'default_value' => '#262d57',
    ),
    array(
      'key' => 'field_5e3e841bfcf70',
      'label' => 'Background Image',
      'name' => 'footer_bg_image',
      'type' => 'image',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => 0,
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'return_format' => 'url',
      'preview_size' => 'thumbnail',
      'library' => 'all',
      'min_width' => '',
      'min_height' => '',
      'min_size' => '',
      'max_width' => '',
      'max_height' => '',
      'max_size' => '',
      'mime_types' => '',
    ),
    array(
      'key' => 'field_5c80bc64bf99b',
      'label' => 'Show Footer Widgets',
      'name' => 'footer_show_widgets',
      'type' => 'true_false',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => 0,
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'message' => '',
      'default_value' => 0,
      'ui' => 1,
      'ui_on_text' => '',
      'ui_off_text' => '',
    ),
	  
	  array(
      'key' => 'field_5e3e841bfcf71',
      'label' => 'Footer Widget 1 Icon',
      'name' => 'footer_widget1_icon',
      'type' => 'image',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => array(
        array(
          array(
            'field' => 'field_5c80bc64bf99b',
            'operator' => '==',
            'value' => '1',
          ),
        ),
      ),
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'return_format' => 'url',
      'preview_size' => 'thumbnail',
      'library' => 'all',
      'min_width' => '',
      'min_height' => '',
      'min_size' => '',
      'max_width' => '',
      'max_height' => '',
      'max_size' => '',
      'mime_types' => '',
    ),
	  array(
      'key' => 'field_5bf0e9d393821',
      'label' => 'Footer Widget 1 Title',
      'name' => 'footer_widget1_title',
      'type' => 'text',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => array(
        array(
          array(
            'field' => 'field_5c80bc64bf99b',
            'operator' => '==',
            'value' => '1',
          ),
        ),
      ),
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'default_value' => 'address infos',
      'placeholder' => '',
      'prepend' => '',
      'append' => '',
      'maxlength' => '',
    ),
	  array(
      'key' => 'field_5bf0e9d393812',
      'label' => 'Footer Widget 1 Text',
      'name' => 'footer_widget1_text',
      'type' => 'text',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => array(
        array(
          array(
            'field' => 'field_5c80bc64bf99b',
            'operator' => '==',
            'value' => '1',
          ),
        ),
      ),
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'default_value' => 'Boryssa Himry 124 B Block Pozniaky IvanaFrankovsk - Ukraine',
      'placeholder' => '',
      'prepend' => '',
      'append' => '',
      'maxlength' => '',
    ),
	  
	  
	   array(
      'key' => 'field_5e3e841bfcf51',
      'label' => 'Footer Widget 2 Icon',
      'name' => 'footer_widget2_icon',
      'type' => 'image',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => array(
        array(
          array(
            'field' => 'field_5c80bc64bf99b',
            'operator' => '==',
            'value' => '1',
          ),
        ),
      ),
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'return_format' => 'url',
      'preview_size' => 'thumbnail',
      'library' => 'all',
      'min_width' => '',
      'min_height' => '',
      'min_size' => '',
      'max_width' => '',
      'max_height' => '',
      'max_size' => '',
      'mime_types' => '',
    ),
	  array(
      'key' => 'field_5bf0e9d393851',
      'label' => 'Footer Widget 2 Title',
      'name' => 'footer_widget2_title',
      'type' => 'text',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => array(
        array(
          array(
            'field' => 'field_5c80bc64bf99b',
            'operator' => '==',
            'value' => '1',
          ),
        ),
      ),
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'default_value' => 'working hours',
      'placeholder' => '',
      'prepend' => '',
      'append' => '',
      'maxlength' => '',
    ),
	  array(
      'key' => 'field_5bf0e9d393412',
      'label' => 'Footer Widget 2 Text',
      'name' => 'footer_widget2_text',
      'type' => 'text',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => array(
        array(
          array(
            'field' => 'field_5c80bc64bf99b',
            'operator' => '==',
            'value' => '1',
          ),
        ),
      ),
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'default_value' => 'Monday to Friday 09:00 to 18:30 and Saturday we work until 15:30',
      'placeholder' => '',
      'prepend' => '',
      'append' => '',
      'maxlength' => '',
    ),
	  
	  
	  
	   
	   array(
      'key' => 'field_5e3e841bfcf52',
      'label' => 'Footer Widget 3 Icon',
      'name' => 'footer_widget3_icon',
      'type' => 'image',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => array(
        array(
          array(
            'field' => 'field_5c80bc64bf99b',
            'operator' => '==',
            'value' => '1',
          ),
        ),
      ),
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'return_format' => 'url',
      'preview_size' => 'thumbnail',
      'library' => 'all',
      'min_width' => '',
      'min_height' => '',
      'min_size' => '',
      'max_width' => '',
      'max_height' => '',
      'max_size' => '',
      'mime_types' => '',
    ),
	  array(
      'key' => 'field_5bf0e9d393874',
      'label' => 'Footer Widget 3 Title',
      'name' => 'footer_widget3_title',
      'type' => 'text',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => array(
        array(
          array(
            'field' => 'field_5c80bc64bf99b',
            'operator' => '==',
            'value' => '1',
          ),
        ),
      ),
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'default_value' => 'support center',
      'placeholder' => '',
      'prepend' => '',
      'append' => '',
      'maxlength' => '',
    ),
	  array(
      'key' => 'field_5bf0e9d393409',
      'label' => 'Footer Widget 3 Text',
      'name' => 'footer_widget3_text',
      'type' => 'text',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => array(
        array(
          array(
            'field' => 'field_5c80bc64bf99b',
            'operator' => '==',
            'value' => '1',
          ),
        ),
      ),
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'default_value' => 'UonCorp is your trusted call service that you can <a href="#">call</a> or <a href="#">e-mail</a> us anytime',
      'placeholder' => '',
      'prepend' => '',
      'append' => '',
      'maxlength' => '',
    ),
	  

    array(
      'key' => 'field_5bf0e9d393810',
      'label' => 'Copyright Text',
      'name' => 'footer_copyright_text',
      'type' => 'text',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => 0,
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'default_value' => '© 2021 UonCorp - All rights reserved.',
      'placeholder' => '',
      'prepend' => '',
      'append' => '',
      'maxlength' => '',
    ),

    array(
      'key' => 'field_5bf0e9d393811',
      'label' => 'Site Credit',
      'name' => 'footer_site_credit',
      'type' => 'text',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => 0,
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'default_value' => 'Site created by <a href="#">Themezinho</a>',
      'placeholder' => '',
      'prepend' => '',
      'append' => '',
      'maxlength' => '',
    ),

  ),
  'location' => array(
    array(
      array(
        'param' => 'options_page',
        'operator' => '==',
        'value' => 'theme-options',
      ),
    ),
  ),
  'menu_order' => 0,
  'position' => 'normal',
  'style' => 'default',
  'label_placement' => 'left',
  'instruction_placement' => 'field',
  'hide_on_screen' => '',
  'active' => 1,
  'description' => '',
) );

endif;