<?php
$footer_bg_color = uoncorp_get_option( 'footer_bg_color' ) ? uoncorp_get_option( 'footer_bg_color' ) : '#262d57';
$footer_bg_image = uoncorp_get_option( 'footer_bg_image' ) ? uoncorp_get_option( 'footer_bg_image' ) : '';
$footer_style = 'background-color: ' . $footer_bg_color;


$copyright = uoncorp_get_option( 'footer_copyright_text' );

if ( !$copyright ) {
  $copyright = esc_html__( '&copy; 2021 Uon Corp - Business & Financial Solutions', 'uoncorp' );
}

$site_credit = uoncorp_get_option( 'footer_site_credit' );

if ( !$site_credit ) {
  $site_credit = esc_html__( 'Site created by <a href="#">Themezinho</a>', 'uoncorp' );
}

$footer_bg = ( $footer_bg_image != '' ) ? 'data-background="' . esc_url( $footer_bg_image ) . '"': '';
?>
<?php if( uoncorp_get_option( 'footer_show_widgets' ) ) { ?>
<section class="sub-widgets">
  <div class="content-wrapper">
    <div class="container">
      <div class='content-box wow fadeIn'> <img src='<?php echo esc_url( uoncorp_get_option( 'footer_widget1_icon' ) ); ?>' alt='<?php echo esc_attr( uoncorp_get_option( 'footer_widget1_title' ) ); ?>' />
        <h3><?php echo esc_html( uoncorp_get_option( 'footer_widget1_title' ) ); ?></h3>
        <?php echo wp_kses_post( uoncorp_get_option( 'footer_widget1_text' ) ); ?> </div>
      <div class='content-box wow fadeIn'> <img src='<?php echo esc_url( uoncorp_get_option( 'footer_widget2_icon' ) ); ?>' alt='<?php echo esc_attr( uoncorp_get_option( 'footer_widget2_title' ) ); ?>' />
        <h3><?php echo esc_html( uoncorp_get_option( 'footer_widget2_title' ) ); ?></h3>
        <?php echo wp_kses_post( uoncorp_get_option( 'footer_widget2_text' ) ); ?> </div>
      <div class='content-box wow fadeIn'> <img src='<?php echo esc_url( uoncorp_get_option( 'footer_widget3_icon' ) ); ?>' alt='<?php echo esc_attr( uoncorp_get_option( 'footer_widget3_title' ) ); ?>' />
        <h3><?php echo esc_html( uoncorp_get_option( 'footer_widget3_title' ) ); ?></h3>
        <?php echo wp_kses_post( uoncorp_get_option( 'footer_widget3_text' ) ); ?> </div>
    </div>
    <!-- end container --> 
  </div>
  <!-- end content-wrapper --> 
</section>
<!-- end sub-widgets -->

<?php } ?>
<footer class="footer"
    <?php echo esc_attr( $footer_bg ); ?>
    style="<?php echo esc_attr( $footer_style ); ?>">
  <div class="container">
    <div class="row">
      <?php if( is_active_sidebar( 'footer-widget-1' ) || is_active_sidebar( 'footer-widget-2' ) || is_active_sidebar( 'footer-widget-3' ) || is_active_sidebar( 'footer-widget-4' ) ) { ?>
      <?php if( is_active_sidebar( 'footer-widget-1' ) ) : ?>
      <div class="col-lg-4 wow fadeIn">
        <?php dynamic_sidebar( 'footer-widget-1' ); ?>
      </div>
      <?php endif; ?>
      <?php if( is_active_sidebar( 'footer-widget-2' ) ) : ?>
      <div class="col-lg-2 col-6 wow fadeIn">
        <?php dynamic_sidebar( 'footer-widget-2' ); ?>
      </div>
      <?php endif; ?>
      <?php if( is_active_sidebar( 'footer-widget-3' ) ) : ?>
      <div class="col-lg-2 col-6 wow fadeIn">
        <?php dynamic_sidebar( 'footer-widget-3' ); ?>
      </div>
      <?php endif; ?>
      <?php if( is_active_sidebar( 'footer-widget-4' ) ) : ?>
      <div class="col-lg-4 wow fadeIn">
        <?php dynamic_sidebar( 'footer-widget-4' ); ?>
      </div>
      <?php endif; ?>
      <?php } ?>
      <?php if( $copyright ) { ?>
      <div class="col-12 wow fadeIn">
        <div class="footer-bottom"> <span class="copyright"><?php echo wp_kses_post( $copyright ); ?></span> <span class="creation"> <?php echo wp_kses_post( uoncorp_get_option( 'footer_site_credit' ) ); ?> </span> </div>
        <!-- end footer-bottom --> 
      </div>
      <!-- end col-12 -->
      <?php } ?>
    </div>
    <!-- end row --> 
  </div>
  <!-- end container --> 
</footer>
<?php
if ( uoncorp_get_option( 'enable_go_top' ) ):
  ?>
<a href="#" class="scrollup"><i class="fa fa-long-arrow-up" aria-hidden="true"></i></a>
<?php
endif;
?>
<?php wp_footer(); ?>
</body></html>