<!doctype html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="https://gmpg.org/xfn/11">
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<?php wp_body_open(); ?>
<?php
$nav_menu_type = ( uoncorp_get_option( 'nav_menu_type' ) ) ? uoncorp_get_option( 'nav_menu_type' ) : 'horizontal';
$topbar_text = uoncorp_get_option( 'topbar_text' );
$contact_icon = uoncorp_get_option( 'contact_icon' );
$contact_icon = ( uoncorp_get_option( 'contact_icon' ) ) ? uoncorp_get_option( 'contact_icon' ) : get_template_directory_uri() . '/images/icon-phone.png';
$contact_text = uoncorp_get_option( 'contact_text' );
$social_media = uoncorp_get_option( 'social_media' );
$enable_custom_menu = uoncorp_get_option( 'enable_custom_menu' );
$logo = ( uoncorp_get_option( 'logo' ) ) ? uoncorp_get_option( 'logo' ) : get_template_directory_uri() . '/images/logo@2x.png';
$retina_logo = ( uoncorp_get_option( 'retina_logo' ) ) ? uoncorp_get_option( 'retina_logo' ) : '';
?>

	
	
	
	
    <aside class="sandwich-menu">
	 <?php
  if ( has_nav_menu( 'header' ) ) {
    wp_nav_menu( array(
      'theme_location' => 'header',
      'menu_class' => 'menu-horizontal',
      'walker' => new WP_uoncorp_Navwalker(),
    ) );
  }
  ?>
		 <?php if( is_active_sidebar( 'sandwich-widget' ) ) : ?>
        <?php dynamic_sidebar( 'sandwich-widget' ); ?>
		 <?php endif; ?>
     </aside>
     
	
	<div class="search-box">
  <div class="close-btn"> <span></span> <span></span> </div>
  <!-- end close-btn -->
  <form action="<?php echo esc_url(home_url('/')); ?>">
    <input type="search" placeholder="<?php echo esc_attr__( 'Type here to search...', 'uoncorp' );?>" value="<?php echo get_search_query() ?>" name="s" id="s">
    <h6><?php echo esc_html__( 'Type above and press enter or press close to cancel.', 'uoncorp' )?></h6>
  </form>
</div>
<!-- end search-box -->


<?php
if ( uoncorp_get_option( 'enable_topbar' ) ):
 ?>
	
 <div class="topbar">
    <div class="container">
      <div class="tagline"><?php echo wpb_js_remove_wpautop( $topbar_text ); ?></div>

		  <?php

    $social_media = uoncorp_get_option( 'social_media' );
  if ( $social_media ):
    ?>
      <ul class="social-media">
         <?php foreach ( $social_media as $social ) { ?>
      <li> <a href="<?php echo esc_url( $social['url'] ); ?>" target="_blank" rel="noreferrer">
		  <?php echo wp_kses_post( $social['social_icon'] ); ?>
		  </a> </li>
      <?php } ?>
      </ul>

		<?php endif; ?>
		
		
      <div class="phone"><img src="<?php echo esc_url( $contact_icon ); ?>" alt="<?php echo esc_attr( $contact_text ); ?>"> <span><?php echo wpb_js_remove_wpautop( $contact_text ); ?></span></div>
      <!-- end phone --> 
    </div>
    <!-- end container --> 
  </div>
  <!-- end topbar -->
	<?php endif; ?>
<nav class="navbar">
	 <div class="container">
  <div class="logo"><a href="<?php echo esc_url( home_url( '/' ) ); ?>"><img src="<?php echo esc_url( $logo ); ?>"
	<?php if( $retina_logo != '' ) : ?>
		srcset="<?php echo esc_url( $retina_logo ); ?>"
	<?php endif; ?>
		alt="<?php bloginfo( 'name' ); ?>"></a></div>
	 <?php
  if ( has_nav_menu( 'header' ) ) {
    wp_nav_menu( array(
      'theme_location' => 'header',
      'menu_class' => 'menu-horizontal',
      'walker' => new WP_uoncorp_Navwalker(),
    ) );
  }
  ?>
	
		 <?php

    $custom_menu = uoncorp_get_option( 'custom_menu' );
  if ( $enable_custom_menu || $enable_custom_menu ):
		 if ( $custom_menu ):
    ?>
      <ul class="language">
         <?php foreach ( $custom_menu as $custom ) { ?>
      <li> <a href="<?php echo esc_url( $custom['url'] ); ?>">
		  <?php echo wp_kses_post( $custom['menu'] ); ?>
		  </a> </li>
      <?php } ?>
      </ul>
<?php endif; ?>
		<?php endif; ?>
		 
      <!-- end language -->
		 <?php 
		  $enable_search = uoncorp_get_option( 'enable_search' );
		 if ( $enable_search ):  ?>
      <div class="search-btn"> <i class="fa fa-search"></i> </div>
      <!-- end search-btn -->
		 <?php endif; ?>
		<?php 
		  $enable_sandwich_menu = uoncorp_get_option( 'enable_sandwich_menu' );
		 if ( $enable_sandwich_menu ):  ?>
      <div class="sandwich-btn"> <span></span> <span></span> <span></span> </div>
      <!-- end sandwich-btn -->
     <?php endif; ?>
	
	
 
	 <div class="bottom-bar"></div>
      <!-- end bottom-bar --> 
	</div>
</nav>
